=== debian/rules ===
#!/usr/bin/make -f
export COMPONENT_HASH=33da509f00f899efd8e7a38ffe65070185aca398
 OOZIE_VERSION=5.1.0+cdh6.3.0
 OOZIE_PATCHED_VERSION=5.1.0-cdh6.3.0
 OOZIE_BASE_VERSION=5.1.0
 OOZIE_RELEASE=1279813
 CDH_CUSTOMER_PATCH=p0
 CDH_PARCEL_CUSTOM_VERSION=5.1.0+cdh6.3.0-1279813.bionic
#
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

%:
	dh $@

# we need to set 'maven.repo.local' otherwise the build with
# fakeroot fails because it tries to use /root/.m2

override_dh_auto_build:
	mkdir -p distro/downloads
	cd src ; env DO_MAVEN_DEPLOY="" FULL_VERSION=${OOZIE_PATCHED_VERSION} bash -x ../debian/do-component-build
	mkdir -p debian/tmp
	tar -cf - --exclude=debian/\* . | (cd debian/tmp && tar -xf -)

override_dh_auto_install:
	bash -x debian/install_oozie.sh --extra-dir=debian/ --build-dir=. --server-dir=./debian/oozie --client-dir=./debian/oozie-client --docs-dir=./debian/oozie-client/usr/share/doc/oozie --initd-dir=./debian/oozie/etc/init.d --conf-dir=./debian/oozie/etc/oozie/conf.dist
	ln -s -f /var/lib/oozie/ext-2.2 debian/oozie/usr/lib/oozie/embedded-oozie-server/webapp/ext-2.2
	rm -rf                        debian/oozie/usr/lib/oozie/embedded-oozie-server/docs
	ln -s -f /usr/share/doc/oozie debian/oozie/usr/lib/oozie/embedded-oozie-server/docs

override_dh_builddeb:
	dh_builddeb -- -Zgzip

override_dh_strip_nondeterminism:
	# Disable dh_strip_nondeterminism to speed up the build

override_dh_strip:
	dh_strip --no-automatic-dbgsym
