=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,11 @@
 #!/usr/bin/make -f
-export COMPONENT_HASH=33da509f00f899efd8e7a38ffe65070185aca398
- OOZIE_VERSION=5.1.0+cdh6.3.0
- OOZIE_PATCHED_VERSION=5.1.0-cdh6.3.0
+export COMPONENT_HASH=caa6a6d0b4c38ddd3b82070b043602648c3fa555
+ OOZIE_VERSION=5.1.0+cdh6.3.2
+ OOZIE_PATCHED_VERSION=5.1.0-cdh6.3.2
  OOZIE_BASE_VERSION=5.1.0
- OOZIE_RELEASE=1279813
+ OOZIE_RELEASE=1605554
  CDH_CUSTOMER_PATCH=p0
- CDH_PARCEL_CUSTOM_VERSION=5.1.0+cdh6.3.0-1279813.bionic
+ CDH_PARCEL_CUSTOM_VERSION=5.1.0+cdh6.3.2-1605554.bionic
 #
 # Licensed to the Apache Software Foundation (ASF) under one or more
 # contributor license agreements.  See the NOTICE file distributed with
